Bug 1476405 - Cannot write to cifs Windows Share
Cannot write to cifs Windows Share
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 17:26 EDT by cnr0616
Modified: 2018-05-29 08:27 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.7.0rc3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:27:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error_fc26 (254.22 KB, image/png)
2017-07-28 17:26 EDT, cnr0616
no flags Details
success_fc25 (123.81 KB, image/png)
2017-07-28 17:28 EDT, cnr0616
no flags Details

  None (edit)
Description cnr0616 2017-07-28 17:26:16 EDT
Created attachment 1306041 [details]
error_fc26

Description of problem:  When uploading a file to a cifs windows share I get an connection timed out error.  It appears to fail at the 262Kb mark, and I can indeed write 100kb files sucessfully.  This is not an issue in Fedora25 with both the 4.5.0-3.fc24 and 4.5.11-0.fc25 packages working correctly.  Only the samba_4.6.5-0.fc26 package seems to be effected.


Version-Release number of selected component (if applicable): 26


How reproducible:  Attempt to copy files.  Used VM attached to FC26 live CD and also FC26 installed on native machine.  Connect fails on all files over 262Kb.


Steps to Reproduce:
1.Browse to share.
2.Attempt to copy file over 262Kb.
3.

Actual results:  Connection timed out, See attachment.


Expected results:  Successful file transfer.


Additional info:  I also tried this on a Ubuntu 16.04 Live CD and it worked as expected.  However on the Ubuntu 17.04 Live CD it failed at the same mark as the FC26 version in the same manner.  I believe that version of Samba on the 17.04 was 4.5.4-ish.  Also tested with a CentOS 7 Live CD and it worked fine, it was on a 4.2.x release of Samba.
Comment 1 cnr0616 2017-07-28 17:28 EDT
Created attachment 1306042 [details]
success_fc25
Comment 2 cnr0616 2017-08-07 15:00:34 EDT
The samba packages currently in rawhide (4.7.0rc3 )work correctly.

To install these packages on my Fedora 26 installation I ran the following commands:

#Install and enable rawhide repo
sudo dnf install fedora-repos-rawhide
sudo dnf config-manager --set-enabled rawhide

#Import GPG Key
sudo rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-27-x86_64

#Upgrade samba packages, others included sssd, etc.
sudo dnf upgrade samba

#Disable rawhide after updating.
sudo dnf config-manager --set-disabled rawhide
Comment 3 cnr0616 2017-08-09 08:59:59 EDT
(In reply to cnr0616 from comment #2)
> The samba packages currently in rawhide (4.7.0rc3 )work correctly.
> 
> To install these packages on my Fedora 26 installation I ran the following
> commands:
> 
> #Install and enable rawhide repo
> sudo dnf install fedora-repos-rawhide
> sudo dnf config-manager --set-enabled rawhide
> 
> #Import GPG Key
> sudo rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-27-x86_64
> 
> #Upgrade samba packages, others included sssd, etc.
> sudo dnf upgrade samba
> 
> #Disable rawhide after updating.
> sudo dnf config-manager --set-disabled rawhide

#Typo above when upgrading samba use samba-client package instead
sudo dnf upgrade samba-client
Comment 4 Fedora End Of Life 2018-05-03 04:07:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:27:36 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.